> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get viewv1crosslibrary

> Gets the cross library view configuration.



## OpenAPI

````yaml /openapis/domain.json get /view/v1/crossLibrary
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: domain
    description: >-
      Lets you manage (list, load, patch, update, add new, delete) domain
      settings (beta version, subject to change)
  - name: crosslibraryview
    description: Lets you update cross library view
paths:
  /view/v1/crossLibrary:
    get:
      tags:
        - crosslibraryview
      description: Gets the cross library view configuration.
      operationId: crosslibraryview:v1.Crosslibraryview.getCrossLibraryView
      parameters:
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      responses:
        '200':
          description: A ApiCrossLibraryView response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCrossLibraryView'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The domain
      required: false
      schema:
        type: string
  schemas:
    ApiCrossLibraryView:
      type: object
      required:
        - fields
        - filters
      properties:
        fields:
          type: array
          items:
            type: string
        filters:
          type: array
          items:
            $ref: '#/components/schemas/ApiViewDefaultFilter'
        kind:
          type: string
        missingFields:
          type: array
          items:
            type: string
        missingFilters:
          type: array
          items:
            $ref: '#/components/schemas/ApiViewDefaultFilter'
    ApiViewDefaultFilter:
      type: object
      required:
        - fieldName
        - fieldType
        - initialValues
      properties:
        fieldName:
          type: string
        fieldType:
          type: string
          enum:
            - STRING
            - PERSON
            - URL
            - DATE
            - DATETIME
            - TIME
            - INTEGER
            - DECIMAL
            - BOOLEAN
            - GEOPOINT
            - CATEGORY
            - REFERENCE_CATALOG
        initialValues:
          type: array
          items:
            type: string
        operator:
          type: string
          enum:
            - EQUAL
            - NOT_EQUAL
            - STRICTLY_GREATER_THAN
            - STRICTLY_LESSER_THAN
            - GREATER_THAN_OR_EQUAL_TO
            - LESSER_THAN_OR_EQUAL_TO
            - BETWEEN
            - EMPTY
            - NOT_EMPTY
            - WITHIN_THE_AREA
            - IN
            - NOT_IN
            - STARTS_WITH
            - ENDS_WITH
            - CONTAINS_SUBSTRING
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````